using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.StoragesContracts
{
    public interface IEducationGroupStorage
    {
        List<EducationGroupViewModel> GetFullList();
        List<EducationGroupViewModel> GetFilteredList(EducationGroupSearchModel model);
        EducationGroupViewModel? GetElement(EducationGroupSearchModel model);
        EducationGroupViewModel? Insert(EducationGroupBindingModel model);
        EducationGroupViewModel? Update(EducationGroupBindingModel model);
        EducationGroupViewModel? Delete(EducationGroupBindingModel model);
    }
}
